PROGRAM_NAME='VRQ TP Interface v1_1_0'

DEFINE_VARIABLE

/*********************************************************************************
 CHAR VRQ_PAGES[][50]:  This array contains the actual names of the panel pages.
   This is used for page flipping logic, which is included in the program.  See
   the comments next to each page name for further description on the function of
   each page.
   **NOTE:  It is ESSENTIAL that you have the correct names in this array or the
            panel will not function correctly.
**********************************************************************************/
CHAR VRQ_PAGES[][50] = { 'VRQ-Main'                   //This page is the main VRQ page where all popups are displayed
                        ,'VRQ-Browse'                 //Page with 6 Browse lines, displayed when VRQ is on Browse page
						,'VRQ-Browse CoverArt'		  //Page with 6 Cover Art dynamic images, displayed when VRQ is on Browse page and Browse By Covers is used.
                        ,'VRQ-Player Chapters'        //Similar to Browse, displayed when VRQ is on Chapters page
                        ,'VRQ-Player Details'         //Page with Movie title, Genre, Cast, etc.  Displayed when VRQ is on Details page
                        ,'VRQ-Now Playing Chapters'   //Similar to Chapters, but has extra info on the left side. Displayed when VRQ is in DVD mode (playing a movie)
                        ,'VRQ-Now Playing Details'    //Similar to Details, but has extra info on the left side. Displayed when VRQ is in DVD mode (playing a movie)
						,'VRQ-Search Letter Row'	  //Search keyboard popup page
                      };
                      

CHAR VRQ_NAV_THUMB_IMAGES[][15] = {'nav_thumb_1'      //Thumbnail image for line 1
                                  ,'nav_thumb_2'      //Thumbnail image for line 2
                                  ,'nav_thumb_3'      //Thumbnail image for line 3
                                  ,'nav_thumb_4'      //Thumbnail image for line 4
                                  ,'nav_thumb_5'      //Thumbnail image for line 5
                                  ,'nav_thumb_6'      //Thumbnail image for line 6
                                  };


CHAR VRQ_NAV_FULL_IMAGES[][15] = {'nav_full_1'        //Full size image for line 1
                                 ,'nav_full_2'        //Full size image for line 2
                                 ,'nav_full_3'        //Full size image for line 3
                                 ,'nav_full_4'        //Full size image for line 4
                                 ,'nav_full_5'        //Full size image for line 5
                                 ,'nav_full_6'        //Full size image for line 6
                                 };

CHAR VRQ_PLAYER_IMAGE[] = 'player_full';              //Full size image for Player page

CHAR VRQ_SYSTEM_ICONS[][25] =	{''						//intentionally blank (no image)
								,'NOWPLAYING.png'		//Now Playing icon
								,'ALLDISCS.png'			//All Discs icon
								,'GENRES.png'			//Genres icon
								,'RATINGS.png'			//Ratings icon
								,'ACTORS.png'			//Actors icon
								,'DIRECTORS.png'		//Directors icon
								,'RECENTLYADDED.png'	//Recently Added icon
								,'RECENTLYPLAYED.png'	//Recently Played icon
								,'CHANGERS.png'			//Changers icon
								};

/*********************************************************************************
 INTEGER VRQ_CMDS[]:  This array contains the channel numbers for all the commands
   available in the module.  For any command you do not wish to use or is marked 
   "Not Used" or "reserved", please set the value to 9999, as is the case for some
   of the values already.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER VRQ_CMDS[] =   { 1    //Connect to VRQ			1
                        ,9999 //Not Used				2    *reserved for future use
                        ,9999 //Not Used				3    *reserved for future use
                        ,9999 //Not Used				4    *reserved for future use
                        ,9999 //Not Used				5    *reserved for future use
                        ,9999 //Not Used				6    *reserved for future use
                        ,7    //Recently Added			7
                        ,8    //Recently Played			8
                        ,9    //Changers				9
                        ,10   //All Movies				10
                        ,11   //Actors					11
                        ,12   //Directors				12
                        ,13   //Genres					13
                        ,14   //Ratings					14
                        ,15   //Now Playing				15
                        ,16   //Page Up 6				16
                        ,17   //Page Down 6				17
                        ,18   //Cursor UP				18
                        ,19   //Cursor Down				19
                        ,20   //Cursor Left				20
                        ,21   //Cursor Right			21
                        ,22   //Go to top				22
                        ,23   //Go to bottom			23
                        ,24   //Go to HOME				24
                        ,25   //Play Now				25
                        ,26   //Loading...				26
                        ,27   //Enter					27
                        ,28   //Play					28
                        ,29   //Stop					29
                        ,30   //Pause (toggle)			30
                        ,9999 //Discrete Pause			31
                        ,9999 //Discrete Unpause		32
                        ,33   //FFwd					33
                        ,34   //Rew						34
                        ,35   //Next Chapter			35
                        ,36   //Prev Chapter			36
                        ,37   //Goto DVD Mode			37
                        ,38   //Goto VRQ Mode			38
                        ,39   //DVD Menu				39
                        ,40   //Eject					40
                        ,9999 //Power (toggle)			41
                        ,9999 //Discrete Power ON		42
                        ,9999 //Discrete Power OFF		43
                        ,9999 //Search					44    *This feature available in future Firmware
                        ,45   //More Plot Summary		45
                        ,46   //Now Playing Chapters	46
                        ,9999 //Right Arrow Flag		47    *Not Currently Supported
                        ,9999 //Left Arrow Flag			48    *Not Currently Supported
                        ,9999 //Up Arrow Flag			49    *Not Currently Supported
                        ,9999 //Down Arrow Flag			50    *Not Currently Supported
                        ,51   //Press Nav Line 1		51    *Line Press and Selection Feedback
                        ,52   //Press Nav Line 2		52
                        ,53   //Press Nav Line 3		53
                        ,54   //Press Nav Line 4		54
                        ,55   //Press nav Line 5		55
                        ,56   //Press Nav Line 6		56
                        ,9999 //Press Nav Line 7		57 (not used)
                        ,9999 //Press Nav Line 8		58 (not used)
						,9999 //reserved				59
						,9999 //reserved				60
                        ,61   //Chapter Line 1			61    *Channel for selection feedback
                        ,62   //Chapter Line 2			62
                        ,63   //Chapter Line 3			63
                        ,64   //Chapter Line 4			64
                        ,65   //Chapter Line 5			65
                        ,66   //Chapter Line 6			66 
                        ,9999 //Chapter Line 7			67
                        ,9999 //Chapter Line 8			68
						,9999 //reserved				69
						,9999 //reserved				70
                        ,71   //Chapter NP Line 1		71    *Channel for which chapter is now playing
                        ,72   //Chapter NP Line 2		72    *Also functions as line press
                        ,73   //Chapter NP Line 3		73
                        ,74   //Chapter NP Line 4		74
                        ,75   //Chapter NP Line 5		75
                        ,76   //Chapter NP Line 6		76
                        ,9999 //Chapter NP Line 7		77
                        ,9999 //Chapter NP Line 8		78
						,79   //DVD Angle				79
						,80   //DVD Subtitles			80
						,91   //Nav Cover Art Image		81
						,92   //Nav Cover Art Image		82
						,93   //Nav Cover Art Image		83
						,94   //Nav Cover Art Image		84
						,95   //Nav Cover Art Image		85
						,96   //Nav Cover Art Image		86
						,9999 //Nav Cover Art Image		87
						,9999 //Nav Cover Art Image		88
						,97   //Player Cover Art Image	89
						,81   //DVD Cursor UP			90
						,82   //DVD Cursor Down			91
						,83   //DVD Cursor Left			92
						,84   //DVD Cursor Right		93
						,85   //DVD Enter				94
                       };


/*********************************************************************************
 INTEGER VRQ_LET_CH[]:  This array contains the channel numbers for all the letters
   of the alphabet.  This has not yet been implemented in the demo program.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER VRQ_LET_CH[]  = {100   // Letter A
                        ,101   // Letter B
                        ,102   // Letter C
                        ,103   // Letter D
                        ,104   // Letter E
                        ,105   // Letter F
                        ,106   // Letter G
                        ,107   // Letter H
                        ,108   // Letter I
                        ,109   // Letter J
                        ,110   // Letter K
                        ,111   // Letter L
                        ,112   // Letter M
                        ,113   // Letter N
                        ,114   // Letter O
                        ,115   // Letter P
                        ,116   // Letter Q
                        ,117   // Letter R
                        ,118   // Letter S
                        ,119   // Letter T
                        ,120   // Letter U
                        ,121   // Letter V
                        ,122   // Letter W
                        ,123   // Letter X
                        ,124   // Letter Y
                        ,125   // Letter Z
                        };
                        

/*********************************************************************************
 INTEGER VRQ_NUM_CH[]:  This array contains the channel numbers for numbers 1-9
   and 0.  This has not yet been implemented in the demo program.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER VRQ_NUM_CH[]  = {126   // Number 1
                        ,127   // Number 2
                        ,128   // Number 3
                        ,129   // Number 4
                        ,130   // Number 5
                        ,131   // Number 6
                        ,132   // Number 7
                        ,133   // Number 8
                        ,134   // Number 9
                        ,135   // Number 0
                        };


/*********************************************************************************
 INTEGER VRQ_FB_CH[]:  This array contains the channel numbers for all the text
   feedback available in the module.  For any item you do not wish to use or is
   marked "Not Used" or "reserved", please set the value to 9999, as is the case for
   some of the values already.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER VRQ_FB_CH[]   = {1    // Nav List Title Full	1 **Complete path from HOME
                        ,9999 // Nav List Title 1		2 **Piece 1 of path (HOME)
                        ,9999 // Nav List Title 2		3 **Piece 2 of path (actors, ratings, genres, etc)
                        ,9999 // Nav List Title 3		4 **Piece 3 of path (which actor, rating, genre, etc)
                        ,36   // Nav List Title cur		5 **The title of the current list you are in
                        ,2    // Window Title			6
                        ,3    // Nav Column 1 Header	7
                        ,4    // Nav Column 2 Header	8
                        ,5    // Nav Column 1 Data		9
                        ,6    // Nav Column 2 Data		10
                        ,7    // Nav Long Desc			11
                        ,10   // NAV LINE 1				12
                        ,11   // NAV LINE 2				13
                        ,12   // NAV LINE 3				14
                        ,13   // NAV LINE 4				15
                        ,14   // NAV LINE 5				16
                        ,15   // NAV LINE 6				17
                        ,9999 // NAV LINE 7				18 (not used)
                        ,9999 // NAV LINE 8				19 (not used)
                        ,9999 // reserved				20
                        ,9999 // reserved				21
                        ,9999 // reserved				22
                        ,16   // Player Ch. Line 1		23
                        ,17   // Player Ch. Line 2		24
                        ,18   // Player Ch. Line 3		25
                        ,19   // Player Ch. Line 4		26
                        ,20   // Player Ch. Line 5		27
                        ,21   // Player Ch. Line 6		28
                        ,9999 // Player Ch. Line 7		29 (not used)
                        ,9999 // Player Ch. Line 8		30 (not used)
                        ,25   // Player Title			31 
                        ,26   // Player Genre			32
                        ,27   // Player Cast			33
                        ,28   // Player Directors		34
                        ,29   // Player Plot Summary	35
                        ,9999 // Player Long Desc		36
                        ,34   // Changer Number			37
                        ,35   // Slot Number			38
						,9999 // reserved				39
						,9999 // reserved				40
						,41   // Nav Line 1 Icon		41
						,42   // Nav Line 2 Icon		42
						,43   // Nav Line 3 Icon		43
						,44   // Nav Line 4 Icon		44
						,45   // Nav Line 5 Icon		45
						,46   // Nav Line 6 Icon		46
                        };

                        